#!/bin/bash

set -e
if [ ! -f "/usr/include/milena.h" ] ; then
	echo "A Milenę to krasnoludki zainstalują?"
	exit 1
fi

curl=''

#instalujemy konkretnego libcurla

if dpkg -l | grep libcurl.*-dev.*ubuntu >/dev/null ; then
	echo Biblioteka CURL jest zainstalowana
else
	a=`dpkg -l | awk '/libcurla3-/ {print $2}' | awk -F- '{print $2}'`
	if [ "$a" = "" ] ; then
		curl='libcurl4-gnutls-dev'
	else
		curl=libcurl4-$a-dev
	fi
fi
sudo apt install libgtksourceview-3.0-dev \
    libpcre3-dev \
    libmp3lame-dev \
    libepub-dev \
    libsamplerate0-dev \
    libao-dev \
    libsndfile1-dev \
    python2-dev \
    libmpg123-dev  $curl || exit 1

./configure --prefix=/usr --disable-browser && \
	make && \
	sudo make install || exit 1


echo "Instalacja zakończona"
